AddGroupResourcesFormPrepareAction (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.group.inventory.AddGroupResourcesFormPrepareAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.group.inventory
Class AddGroupResourcesFormPrepareAction

    java.lang.Object
      org.apache.struts.action.Action
          org.hyperic.hq.ui.action.resource.group.inventory.AddGroupResourcesFormPrepareAction

    public class AddGroupResourcesFormPrepareAction

extends org.apache.struts.action.Action

An Action that retrieves data from the BizApp to facilitate display of the AddGroupResources form.

Field Summary

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`AddGroupResourcesFormPrepareAction()`

Method Summary
`static java.util.List` | `buildGroupTypes()` builds a unique list of group types.
`static java.util.List` | `buildResourceTypes()` builds a list of resource types (platform, server, service).
`org.apache.struts.action.ActionForward` | `execute(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Retrieve this data and store it in the specified request parameters: `GroupValue` object identified by `Constants.RESOURCE_PARAM` request parameter in `Constants.RESOURCE_ATTR` `List` of available `AppdefResourceValue` objects (those not already associated with the group) in `Constants.AVAIL_RESOURCES_ATTR` `Integer` number of available roles in `Constants.NUM_AVAIL_RESOURCES_ATTR` `List` of pending `OwnedRoleValue` objects (those in queue to be associated with the resource) in `Constants.PENDING_RESOURCES_ATTR` `Integer` number of pending resources in `Constants.NUM_PENDING_RESOURCES_ATTR` `List` of pending `AppdefResourceValue` ids (those in queue to be associated with the resource) in `Constants.PENDING_RESOURCES_SES_ATTR` This Action edits 2 lists of Resources: pending, and available.

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddGroupResourcesFormPrepareAction

    public AddGroupResourcesFormPrepareAction()

Method Detail

### execute

    public org.apache.struts.action.ActionForward execute(org.apache.struts.action.ActionMapping mapping,
                                                          org.apache.struts.action.ActionForm form,
                                                          javax.servlet.http.HttpServletRequest request,
                                                          javax.servlet.http.HttpServletResponse response)
                                                   throws java.lang.Exception

  Retrieve this data and store it in the specified request parameters:
  - `GroupValue` object identified by `Constants.RESOURCE_PARAM` request parameter in `Constants.RESOURCE_ATTR`
  - `List` of available `AppdefResourceValue` objects (those not already associated with the group) in `Constants.AVAIL_RESOURCES_ATTR`
  - `Integer` number of available roles in `Constants.NUM_AVAIL_RESOURCES_ATTR`
  - `List` of pending `OwnedRoleValue` objects (those in queue to be associated with the resource) in `Constants.PENDING_RESOURCES_ATTR`
  - `Integer` number of pending resources in `Constants.NUM_PENDING_RESOURCES_ATTR`
  - `List` of pending `AppdefResourceValue` ids (those in queue to be associated with the resource) in `Constants.PENDING_RESOURCES_SES_ATTR`
  This Action edits 2 lists of Resources: pending, and available.

  Overrides:
    `execute` in class `org.apache.struts.action.Action`
  Throws:
    `java.lang.Exception`

### buildResourceTypes

    public static java.util.List buildResourceTypes()

  builds a list of resource types (platform, server, service).

  Returns:
    a list of group types from the list

### buildGroupTypes

    public static java.util.List buildGroupTypes()

  builds a unique list of group types.

  Returns:
    a unique list of group types from the list

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.